package com.usky.dxtop;

import com.usky.dxtop.service.config.rabbitmq.ChargeTransConfig;
import com.usky.dxtop.service.config.rabbitmq.DishTransConfig;
import com.usky.dxtop.service.config.rabbitmq.charge.ChargeProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.face.FaceProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.group.GroupProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.profile.ProfileProduceConfig;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author yq
 * @date 2021/9/28 15:11
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class SmApiTest {


    @Autowired
    @Qualifier(ChargeProduceConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate1;

    @Autowired
    @Qualifier(ChargeTransConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate2;


    @Autowired
    @Qualifier(DishTransConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate3;

    @Autowired
    @Qualifier(FaceProduceConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate4;

    @Autowired
    @Qualifier(GroupProduceConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate5;

    @Autowired
    @Qualifier(ProfileProduceConfig.TEMPLATE)
    private RabbitTemplate rabbitTemplate6;

    @Test
    public void test(){
        rabbitTemplate1.convertAndSend(ChargeProduceConfig.NAME, ChargeProduceConfig.NAME, 11);
        rabbitTemplate2.convertAndSend(ChargeTransConfig.NAME, ChargeProduceConfig.NAME, 11);
        rabbitTemplate3.convertAndSend(DishTransConfig.NAME, ChargeProduceConfig.NAME, 11);
        rabbitTemplate4.convertAndSend(FaceProduceConfig.NAME, ChargeProduceConfig.NAME, 11);
        rabbitTemplate5.convertAndSend(GroupProduceConfig.NAME, ChargeProduceConfig.NAME, 11);
        rabbitTemplate6.convertAndSend(ProfileProduceConfig.NAME, ChargeProduceConfig.NAME, 11);

    }
}
