package com.usky.dxtop.controller.web;

import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.service.MsgLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yq
 * @date 2021/11/29 16:53
 */
@RestController
@RequestMapping("/dxtop/msglog")
public class MsgLogController {

    @Autowired
    private MsgLogService msgLogService;

    @GetMapping("/one")
    public AjaxResult one(@RequestParam Long id){
        return AjaxResult.success(msgLogService.getById(id));
    }
}
